      subroutine muldata(ooo,aaa,atom,natom,i)
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      character(*) ooo,aaa
!
!----------------------------------------------------------------------
! traitement des "*" dans les donnees des atomes
! 
! en entree : 
! ooo : string contenant '*' 
! atom(natom) : liste des noms a comparer avec ooo

! en sortie
! aaa
! ex : ooo='C'
! atom= 'C1','C2','C6','N1','N3','H2','CU1','CU2'

 
      aaa=' '
      i=index(ooo,'*')
      if(i==0) return
      ifin=0
      j=0
      do l=i-1,1,-1
         if(zone(k)(l:l)==',') then
            j=l
            exit
         endif
      enddo
      print*,'i',i,j
!    on a :           '....,AB*,....'
!                       |  |
!                       j  i
      do l=1,natom
         if(l>1) then
            if(atom0(l)==atom0(l-1)) cycle
         endif
         if(index6(atom0(l),zone(k)(j+1:i-1))>0) then
            ideb=ifin+1
            ifin=ifin+len_trim(atom0(l))+1
            aaa(ideb:ifin)=trim(atom0(l))//','
         endif
      enddo
      end
